-- =============================================
-- SaveToDB Framework for Microsoft SQL Server
-- Version 7.19, March 12, 2018
--
-- Copyright 2011-2018 Gartle Technology Corporation
-- =============================================

-- The query drops objects of the SaveToDB Framework

IF OBJECT_ID('dbo01.viewQueryListTools', 'V') IS NOT NULL
DROP VIEW dbo01.viewQueryListTools
GO

IF OBJECT_ID('etl01.uspUpdateEventHandlers', 'P') IS NOT NULL
DROP PROCEDURE etl01.uspUpdateEventHandlers
GO
IF OBJECT_ID('etl01.viewEventHandlersSuggest', 'V') IS NOT NULL
DROP VIEW etl01.viewEventHandlersSuggest
GO

IF OBJECT_ID('etl01.viewObjectTranslationSuggest', 'V') IS NOT NULL
DROP VIEW etl01.viewObjectTranslationSuggest
GO

IF OBJECT_ID('etl01.uspGenerateChangeHandler', 'P') IS NOT NULL
DROP PROCEDURE etl01.uspGenerateChangeHandler
GO
IF OBJECT_ID('etl01.uspGenerateEditProcedures', 'P') IS NOT NULL
DROP PROCEDURE etl01.uspGenerateEditProcedures
GO
IF OBJECT_ID('etl01.uspGenerateGenegicHandler', 'P') IS NOT NULL
DROP PROCEDURE etl01.uspGenerateGenegicHandler
GO

DROP PROCEDURE etl01.uspUpdateColumnTranslation
GO
DROP PROCEDURE etl01.uspUpdateColumnTranslation_Group
GO
DROP PROCEDURE etl01.uspUpdateObjectTranslation
GO
DROP PROCEDURE etl01.uspUpdateObjectTranslationAbsent
GO
DROP PROCEDURE dbo01.uspUpdateTableFormat
GO

DROP VIEW xls01.viewEventHandlers
GO
DROP VIEW xls01.viewTableFormats
GO
DROP VIEW xls01.viewParameterValues
GO
DROP VIEW xls01.viewQueryList
GO
DROP VIEW xls01.viewColumnTranslation
GO
DROP VIEW xls01.viewObjectTranslation
GO
DROP VIEW xls01.viewObjectDescription
GO
DROP VIEW dbo01.viewQueryList
GO

DROP TABLE dbo01.EventHandlers
GO
DROP TABLE dbo01.TableFormats
GO
DROP TABLE dbo01.ColumnTranslation
GO
DROP TABLE dbo01.ObjectTranslation
GO
DROP TABLE dbo01.ParameterValues
GO
DROP TABLE dbo01.QueryList
GO

DECLARE @sql nvarchar(max)

SELECT @sql = ( 
    SELECT
        'ALTER ROLE ' + QUOTENAME(p.name) + ' DROP MEMBER ' + QUOTENAME(m.name) + ';' + CHAR(10)
    FROM
        sys.database_role_members rm
        INNER JOIN sys.database_principals p ON p.principal_id = rm.role_principal_id
        INNER JOIN sys.database_principals m ON m.principal_id = rm.member_principal_id
    WHERE
        p.name IN ('SaveToDB_developers', 'SaveToDB_users')
    FOR XML PATH('')
    )

EXEC (@sql)

PRINT @sql
GO

DROP ROLE SaveToDB_developers
GO
DROP ROLE SaveToDB_users
GO

DROP SCHEMA dbo01
GO
DROP SCHEMA etl01
GO
DROP SCHEMA xls01
GO

print N'SaveToDB Framework has been dropped';
GO
